gtkmm 3.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions

# Gtk::AppChooserWidget Class Reference
Widgets

An application chooser widget that can be embedded in other widgets. More...

Inheritance diagram for Gtk::AppChooserWidget:
[legend]
Collaboration diagram for Gtk::AppChooserWidget:
[legend]

List of all members.

## Public Member Functions
virtual | ~AppChooserWidget ()
GtkAppChooserWidget* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkAppChooserWidget* | gobj () const
| Provides access to the underlying C GtkObject.
| AppChooserWidget (const Glib::ustring& content_type)
| Creates a new app-chooser widget for applications that can handle content of the given type.
void | set_show_default (bool setting=true)
bool | get_show_default ()
void | set_show_recommended (bool setting=true)
bool | get_show_recommended () const
void | set_show_fallback (bool setting=true)
bool | get_show_fallback () const
void | set_show_other (bool setting=true)
bool | get_show_other () const
void | set_show_all (bool setting=true)
bool | get_show_all () const
void | set_default_text (const Glib::ustring& text)
Glib::ustring | get_default_text ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gio::AppInfo >& > | signal_application_selected ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gio::AppInfo >& > | signal_application_activated ()
Glib::SignalProxy2< void, Menu *, const Glib::RefPtr < Gio::AppInfo >& > | signal_populate_popup ()
Glib::PropertyProxy< bool > | property_show_default ()
| Whether the widget should show the default application.
Glib::PropertyProxy_ReadOnly < bool > | property_show_default () const
| Whether the widget should show the default application.
Glib::PropertyProxy< bool > | property_show_recommended ()
| Whether the widget should show recommended applications.
Glib::PropertyProxy_ReadOnly < bool > | property_show_recommended () const
| Whether the widget should show recommended applications.
Glib::PropertyProxy< bool > | property_show_fallback ()
| Whether the widget should show fallback applications.
Glib::PropertyProxy_ReadOnly < bool > | property_show_fallback () const
| Whether the widget should show fallback applications.
Glib::PropertyProxy< bool > | property_show_other ()
| Whether the widget should show other applications.
Glib::PropertyProxy_ReadOnly < bool > | property_show_other () const
| Whether the widget should show other applications.
Glib::PropertyProxy< bool > | property_show_all ()
| Whether the widget should show all applications.
Glib::PropertyProxy_ReadOnly < bool > | property_show_all () const
| Whether the widget should show all applications.
Glib::PropertyProxy < Glib::ustring > | property_default_text ()
| The default text appearing when there are no applications.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_default_text () const
| The default text appearing when there are no applications.
## Protected Member Functions
virtual void | on_application_selected (const Glib::RefPtr< Gio::AppInfo >& app_info)
virtual void | on_application_activated (const Glib::RefPtr< Gio::AppInfo >& app_info)
virtual void | on_populate_popup (Menu* menu, const Glib::RefPtr< Gio::AppInfo >& app_info)
## Related Functions
(Note that these are not member functions.)
Gtk::AppChooserWidget* | wrap (GtkAppChooserWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An application chooser widget that can be embedded in other widgets.

This widget is for selecting applications. It is the main building block for AppChooserDialog. Most applications only need to use the latter, but you can use this widget as part of a larger widget if you have special needs.

The AppChooserWidget widget looks like this:

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::AppChooserWidget::~AppChooserWidget | ( |  | ) | `[virtual]`

Gtk::AppChooserWidget::AppChooserWidget | ( | const Glib::ustring & | content_type | ) | `[explicit]`

Creates a new app-chooser widget for applications that can handle content of the given type.

Parameters:

  content_type | The content type to show applications for

## Member Function Documentation

Glib::ustring Gtk::AppChooserWidget::get_default_text | ( |  | ) |

bool Gtk::AppChooserWidget::get_show_all | ( |  | ) | const

bool Gtk::AppChooserWidget::get_show_default | ( |  | ) |

bool Gtk::AppChooserWidget::get_show_fallback | ( |  | ) | const

bool Gtk::AppChooserWidget::get_show_other | ( |  | ) | const

bool Gtk::AppChooserWidget::get_show_recommended | ( |  | ) | const

const GtkAppChooserWidget* Gtk::AppChooserWidget::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::AppChooser.

GtkAppChooserWidget* Gtk::AppChooserWidget::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::AppChooser.

virtual void Gtk::AppChooserWidget::on_application_activated | ( | const Glib::RefPtr< Gio::AppInfo > & | app_info | ) | `[protected, virtual]`

virtual void Gtk::AppChooserWidget::on_application_selected | ( | const Glib::RefPtr< Gio::AppInfo > & | app_info | ) | `[protected, virtual]`

virtual void Gtk::AppChooserWidget::on_populate_popup | ( | Menu* | menu,
|  | const Glib::RefPtr< Gio::AppInfo > & | app_info
| ) |  | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AppChooserWidget::property_default_text | ( |  | ) | const

The default text appearing when there are no applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AppChooserWidget::property_default_text | ( |  | ) |

The default text appearing when there are no applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::AppChooserWidget::property_show_all | ( |  | ) | const

Whether the widget should show all applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::AppChooserWidget::property_show_all | ( |  | ) |

Whether the widget should show all applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::AppChooserWidget::property_show_default | ( |  | ) |

Whether the widget should show the default application.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::AppChooserWidget::property_show_default | ( |  | ) | const

Whether the widget should show the default application.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::AppChooserWidget::property_show_fallback | ( |  | ) |

Whether the widget should show fallback applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::AppChooserWidget::property_show_fallback | ( |  | ) | const

Whether the widget should show fallback applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::AppChooserWidget::property_show_other | ( |  | ) |

Whether the widget should show other applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::AppChooserWidget::property_show_other | ( |  | ) | const

Whether the widget should show other applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::AppChooserWidget::property_show_recommended | ( |  | ) |

Whether the widget should show recommended applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::AppChooserWidget::property_show_recommended | ( |  | ) | const

Whether the widget should show recommended applications.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AppChooserWidget::set_default_text | ( | const Glib::ustring & | text | ) |

void Gtk::AppChooserWidget::set_show_all | ( | bool | setting = `true` | ) |

void Gtk::AppChooserWidget::set_show_default | ( | bool | setting = `true` | ) |

void Gtk::AppChooserWidget::set_show_fallback | ( | bool | setting = `true` | ) |

void Gtk::AppChooserWidget::set_show_other | ( | bool | setting = `true` | ) |

void Gtk::AppChooserWidget::set_show_recommended | ( | bool | setting = `true` | ) |

Glib::SignalProxy1< void,const Glib::RefPtr<Gio::AppInfo>& > Gtk::AppChooserWidget::signal_application_activated | ( |  | ) |

Prototype:
  `void on_my_application_activated(const Glib::RefPtr<Gio::AppInfo>& app_info)`

Glib::SignalProxy1< void,const Glib::RefPtr<Gio::AppInfo>& > Gtk::AppChooserWidget::signal_application_selected | ( |  | ) |

Prototype:
  `void on_my_application_selected(const Glib::RefPtr<Gio::AppInfo>& app_info)`

Glib::SignalProxy2< void,Menu*,const Glib::RefPtr<Gio::AppInfo>& > Gtk::AppChooserWidget::signal_populate_popup | ( |  | ) |

Prototype:
  `void on_my_populate_popup(Menu* menu, const Glib::RefPtr<Gio::AppInfo>& app_info)`

## Friends And Related Function Documentation

Gtk::AppChooserWidget* wrap | ( | GtkAppChooserWidget * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/appchooserwidget.h